#include "morpho.h"

/*******************************/
/* mise a` la valeur val de im */
/*******************************/

int mm0_set (imout, val)
    int val;
    IMAGE *imout;
{
    PIX  c, *pt, *ptold;
    int    xmin, xmax, ymin, ymax;
    int i, j, ret;

    if ((ret = BASIC_CHECK (imout)) != RESULTAT_OK) return (ret);
    c = val;
    pt = imout->bitmap + imout->lx + imout->ly*imout->tx;
    xmin = imout->lx; xmax = xmin + imout->sx;
    ymin = imout->ly; ymax = ymin + imout->sy;
    for (j = ymin ; j < ymax; j++) {
	ptold = pt;
	for (i = xmin; i < xmax; i++)
	    *pt++ = c;
	pt = ptold + imout->tx;
    }
    return (RESULTAT_OK);
}
