#include "morpho.h"

 PIX cg_endlut [] = {
    0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
    };

 PIX cg_trilut [] = {
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1,
    0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1,
    0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1,
    0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1,
    0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1
    };

int mm0_endpnt (in, out)
     IMAGE *in, *out;
{
    extern PIX cg_endlut[];
    int mode = 3;
    int modif[1];
    
    return ( mm0_hmtlut (in, out, cg_endlut, mode, modif));
}

int mm0_tripnt (in, out)
     IMAGE *in, *out;
{
    extern PIX cg_trilut[];
    int mode = 3;
    int modif[1];
    
    return ( mm0_hmtlut (in, out, cg_trilut, mode, modif));
}

/* 
 * pruning
 * 
 * (de *prune (in out n)
 *     (*hmtbin in out #[2 2 2 0 0 0 0] n 0 4))
 */
int	 mm0_prune ( im_in, im_out, n)
     IMAGE *im_in;
     IMAGE *im_out;
     int   n;
{
    static int elt[7]={2, 2, 2, 0, 0, 0, 0};
    
    return ( mm0_hmtbin(im_in, im_out, elt, n, 0, 4));
}
