#include "morpho.h"

void voir_inr_image (image, cmap, comment)
IMAGE *image;
char *cmap, *comment;
{
  int ret, pid;
  static int count=0;
  static char fname[]="voir_inr_image";
  char nom[128], cline[256];

  pid=getpid();
  sprintf(nom,"/tmp/space-%d-%d.inr",pid,count);
  count++;

  /* output image */
  ret=mm0_imaout (image, nom);
  if(ret!=RESULTAT_OK) terror(ret,fname,"imaout");

  /* trigger visualisation (assume absolute path to it */
  sprintf(cline,"Xvisu  %s %s '%s' &",
	    nom, cmap, comment);
  ret=system(cline);
  if(ret!=0) terror(ret,fname,"shell command");
}
