#include "morpho.h"
#include <stdlib.h>

/****************************************************************/
/* generation des images poiur la separation des grains de cafe */
/****************************************************************/

main (argc, argv)
int argc;
char *argv[];
{
  IMAGE ** images;
  int i, ret, max, min, sx, sy, nbparticules;
  char filename[1000];

  images = init_all_images (20, 300, 300);

  printf (" ** Lecture de l'image\n");
  mm0_imagin_pgm (images[0], 
	      "../images/gel.pgm");

  /* filtre alterne */
  mm0_open  (images[0], images[1], images[19], 1);
  mm0_close (images[1], images[1], images[19], 1);

  /* minima regionaux */
  mm0_reg_min (images[1], images[2]);

  /* lpe contrainte avec ces minima */
  mm0_cxor (images[2], 1, images[3]);
  mm0_cmul (images[3], PIX_MAX, images[3]);
  mm0_min (images[1], images[3], images[4]);
  mm0_num_ero_geod (images[3], images[4], PIX_MAX);
  mm0_lpe1 (images[3], images[4]);
  mm0_thresh (images[4], images[4], 0, 1);

  /* union des deux types de marqueurs */
  /* attention, ils doivent etre separes */
  mm0_dilate (images[4], images[5], images[19], 1);
  mm0_andnot (images[2], images[5], images[5]);
  mm0_max (images[4], images[5], images[5]);

  /* calcul du gradient */
  mm0_dilate (images[0], images[6], images[19], 1);
  mm0_erode (images[0], images[7], images[19], 1);
  mm0_sub (images[6], images[7], images[6]);

  /* lpe du gradient contrainte */
  mm0_cxor (images[5], 1, images[7]);
  mm0_cmul (images[7], 255, images[7]);
  mm0_min (images[6], images[7], images[8]);
  mm0_num_ero_geod (images[7], images[8], PIX_MAX);
  mm0_lpe1 (images[7], images[8]);
  mm0_thresh (images[8], images[8], 0, 1);

  /* superposition des resultats */
  mm0_cmul (images[8], 255, images[9]);
  mm0_max (images [0], images[9], images[9]);

  mm0_imaout_pgm (images[9], "/tmp/gel-resultat.pgm");

  exit (0);
}
