#include "morpho.h"

main (argc, argv)
int argc;
char *argv[];
{
  IMAGE ** images;

  /* reading the image, raw pgm format */
  images = init_all_images (20, 512, 512);
  mm0_imagin_pgm (images[0], "../images/cafe.pgm");

  /* Cofee beans segmentation */

  /* successive eroded sets */
  mm0_sucero (images[0], images[1], 0);
  /* spurious maxima elimination */
  mm0_cadd (images[1], 1, images[2]);
  mm0_num_dil_geod (images[1], images[2], 0);
  /* invert the image */
  mm0_cmul (images[1], -1, images[1]);
  mm0_cadd (images[1], 256, images[1]);
  /* watershed computation */
  mm0_lpe1 (images[1], images[2]);
  /* final display */
  mm0_mul (images[0], images[2], images[2]);

  /* store the result */
  mm0_imaout_pgm (images[2], "/tmp/test.pgm"); 

  exit (0); 
}
