#include "morpho.h"

/* copie de in dans out */
int mm0_copy (in, out)
     IMAGE *in, *out;
{
    int i, j, ret;
    PIX *pt_in, *pt_in_old, *pt_out, *pt_out_old;
    if ((ret = BASIC_CHECK (in )) != RESULTAT_OK) return (ret);
    if ((ret = BASIC_CHECK (out)) != RESULTAT_OK) return (ret);

    if ((ret = SET_SIZE (in,out)) != RESULTAT_OK) return (ret);
    
    pt_in = BEG_PIXPTR(in);
    pt_out = BEG_PIXPTR(out);
    
    for (j = 0; j < in->sy; j++) {
	pt_in_old = pt_in;
	pt_out_old = pt_out;
	for (i = 0 ; i < in->sx; i++, pt_in++, pt_out++)
	  *pt_out = *pt_in;
	pt_in = pt_in_old + in->tx;
	pt_out = pt_out_old + out->tx;
    }

    return (RESULTAT_OK);
}
