#include "morpho.h"

/* ecrit un point sur une image */
int mm0_point (image, x, y, val)
     int   x, y, val;
     IMAGE *image;
{
    int ret;

    if ((ret = BASIC_CHECK (image)) != RESULTAT_OK) {
	return (ret);}
    /* more checking necessary: x,y must be in window */
    if((x < image->lx)||(x >= (image->lx+image->sx))) return(X_COORD_NOTINW);
    if((y < image->ly)||(y >= (image->ly+image->sy))) return(Y_COORD_NOTINW);

    *(image->bitmap + x + y*image->tx) = val;
    return(RESULTAT_OK);
}

/* \operation{(*lire in x y)}
   {retourne la valeur du pixel de coordonn\'ees {\tt x} et {\tt
   y} dans l'image {\tt in}.} */

int mm0_lire (in, x, y, val)
     IMAGE *in;
     int   x, y;
     int   *val;
{
    PIX c;
    int ret;

    if ((ret = BASIC_CHECK (in)) != RESULTAT_OK) {
	return (ret);}
    /* more checking necessary: x,y must be in window */
    if((x < in->lx)||(x >= (in->lx+in->sx))) return(X_COORD_NOTINW);
    if((y < in->ly)||(y >= (in->ly+in->sy))) return(Y_COORD_NOTINW);

    c = *(in->bitmap + x + y*(in->tx));
    *val = (int)c;
    return (RESULTAT_OK);
}
