#include "morpho.h"

/* seuillage de in dans out entre val1 (inclus) et val2 (exclus) */
int mm0_thresh (image_in, image_out, val1, val2)
     int  val1, val2;
     IMAGE *image_in, *image_out;
{
    PIX *pt_in, *pt_in_old, *pt_out, *pt_out_old;
    int i, j, ret;
    
    if ((ret = BASIC_CHECK (image_in)) != RESULTAT_OK) return (ret);
    if ((ret = BASIC_CHECK (image_out)) != RESULTAT_OK) return (ret);
    if ((ret = SET_SIZE (image_in,image_out)) != RESULTAT_OK) return (ret);
    
    pt_in = BEG_PIXPTR(image_in);
    pt_out = BEG_PIXPTR(image_out);
    
    for (j = 0; j < image_in->sy; j++) {
	pt_in_old = pt_in;
	pt_out_old = pt_out;
	for (i = 0 ; i < image_in->sx; i++, pt_in++, pt_out++)
	  *pt_out = (*pt_in < val2 && *pt_in >= val1) ? 1 : 0;
	pt_in = pt_in_old + image_in->tx;
	pt_out = pt_out_old + image_out->tx;
    }
    return (RESULTAT_OK);
}
