#include "morpho.h"
#include<stdlib.h>


 /***************************************************/
 /* Modele de segmentation general pour images Tarot*/
 /***************************************************/

  void miroir (IMAGE*,IMAGE*); 
  void miroirEO (IMAGE*,IMAGE*); 
  void transpose (IMAGE*,IMAGE*);
  void fponctuel (IMAGE*,IMAGE*);
  void fmedian (IMAGE*,IMAGE*);
  void fgaussian (IMAGE*,IMAGE*); 
  void frobert (IMAGE*,IMAGE*); 
  void fsmoothx (IMAGE*,IMAGE*,IMAGE*,double);
  void fsmoothy (IMAGE*,IMAGE*,IMAGE*,double);
  void fderichex (IMAGE*,IMAGE*,IMAGE*,double);
  void fderichey (IMAGE*,IMAGE*,IMAGE*,double);
  void fselect (IMAGE*,IMAGE*,IMAGE*,double);
  void mm0_sqrt (IMAGE*,IMAGE*);
  void truc (IMAGE*,IMAGE*);

main (argc, argv)
int argc;
char *argv[];

{ 
  void faussed (int *,int*,int*,float*,float*,IMAGE *,IMAGE *,IMAGE **); 
  void seg2(int,IMAGE *,IMAGE *,IMAGE **);
  void seg3(int,IMAGE *,IMAGE *,IMAGE **);
  void seg20(int,IMAGE *,IMAGE *,IMAGE *,IMAGE **);
  int *nbdetec,*nbeffdetec,*nbtot;
  IMAGE **images;IMAGE **imagesp;
  float  alpha,*fausse, *non;
  float nuagef[50][50][50] ,nuagen[50][50][50];
  int h1,h2,h3,j,k;
 

  imagesp = init_all_images (20,256,256);
  images = init_all_images (40,256,256);
  mm0_imagin_pgm (imagesp[1],"../images/crabeS8.pgm");
  mm0_imagin_pgm (imagesp[4], "../images/catalogue.pgm");
  transpose(imagesp[4],imagesp[3]);
  miroir(imagesp[3],imagesp[4]);
  miroirEO(imagesp[4],imagesp[3]);
  if(( nbdetec=(int *) malloc (sizeof (int)))==NULL)
    printf("%s\n","erreur d'alloc");
  if(( nbeffdetec=(int *) malloc (sizeof (int)))==NULL)
    printf("%s\n","erreur d'alloc");
  if(( nbtot=(int *) malloc (sizeof (int)))==NULL)
    printf("%s\n","erreur d'alloc"); 
  if(( fausse=(float *) malloc (sizeof (float)))==NULL)
    printf("%s\n","erreur d'alloc");
  if(( non=(float *) malloc (sizeof (float)))==NULL)
    printf("%s\n","erreur d'alloc");
   
    for (h3 = 19; h3<(20); h3++) {h3=h3+9;  
     for (h2 = 8; h2<(11); h2++) { h2=h2; 
      for (h1 =19 ; h1<(20); h1++) {  
      seg2(h1,imagesp[1],imagesp[2],images);
      seg3(h2,imagesp[1],imagesp[2],images);
      seg20(h3,imagesp[1],imagesp[2],imagesp[5],images) ;
      mm0_cmul(imagesp[2],1,imagesp[19]);
      /* mm0_imaout_pgm (imagesp[2], "../images/fusionLPE.pgm");*/
      mm0_thresh (imagesp[3], imagesp[9], 0,1);
      mm0_cxor(imagesp[9],1,imagesp[9]);
      mm0_dilate(imagesp[9],imagesp[9],imagesp[8],1);
      mm0_mul(imagesp[5],imagesp[9],imagesp[6]); 
      mm0_cmul(imagesp[5],PIX_MAX,imagesp[15]);

        /*objet compte pls fois dans sources etendues(pointeur utilise arbitraire)*/
        mm0_cmul(imagesp[6],1,imagesp[16]);
        mm0_label(imagesp[6]);
        mm0_maxim(imagesp[6],nbdetec);
        mm0_num_dil_geod (imagesp[16], imagesp[15], PIX_MIN);
        mm0_label(imagesp[16]);
        mm0_maxim(imagesp[16],nbeffdetec);
        (*nbtot)=(*nbdetec)-(*nbeffdetec);
        /**/
      faussed(nbdetec,nbeffdetec,nbtot,fausse,non,imagesp[2],imagesp[3],images);
      nuagef[h1][h2][h3]=*fausse;
      nuagen[h1][h2][h3]=*non;
      printf("%d %d %d %f %f\n",h1,h2,h3, nuagef[h1][h2][h3],nuagen[h1][h2][h3]);    
      }}}
  miroir(imagesp[1],imagesp[11]);
  mm0_max (imagesp [19], imagesp[1], imagesp[9]);
  miroir(imagesp[9],imagesp[10]);
  mm0_imaout_pgm (imagesp[10], "../images/resultatseg.pgm");
    /*printf("%s\n", "fausse detection h1,h2,h3:");
printf("%s","[");   
 for (h3 = 19 ; h3<(20); h3++) {h3=h3+9;  
     for (h1 = 0; h1<(40); h1++) { printf("%s\n",";");  
      for (h2 = 0; h2<(40); h2++) { 

                           printf("%f %s\t", nuagef[h1][h2][h3],",");}}}
 printf("%s\n","]");
printf("%s\n", "non detection h1,h2,h3:");
printf("%s\t","[");  
   for (h3 = 19 ; h3<(20); h3++) {h3=h3+9;  
     for (h1 = 0; h1<(40); h1++) {    printf("%s\n",";");
      for (h2 = 0; h2<(40); h2++) {

                           printf("%f %s\t",nuagen[h1][h2][h3],",");}}}

			   printf("%s\n","]");*/
   free (nbdetec); free (nbeffdetec); free (nbtot); free (fausse); free (non);
 
    
exit (0);
}



/*************Segmentation avec SE=2******************************************/
void seg2 (h1,im,out,images)
  
   IMAGE **images;
   IMAGE *im,*out;
   int h1;
{
 
  float  alpha;
  int *maxabs, *minibs,i;
  
  maxabs=(int *) malloc (sizeof (int));
  minibs=(int *) malloc (sizeof (int));
 /* negatif*/
  mm0_maxim (im , maxabs); mm0_minim (im , minibs);
  mm0_cmul( im , -1 ,images [18]);  
  mm0_cadd (images[18], *maxabs ,images[0]);  
 /*filtre ponctuel & median */
  fponctuel(images[0],images[34]);  
  fmedian(images[0],images[34]); 
 /*Top-Hat Dual1 avec rec*/
  mm0_erode(images[0],images[17],images[18],2);
  mm0_num_dil_geod(images[17], images[0], PIX_MIN);  
  mm0_dilate(images[17],images[16],images[18],2);  
  mm0_num_ero_geod(images[16], images[0], PIX_MAX);  
  mm0_sub(images[16], images[0], images[16]);
                        /*(negatif)*/
  mm0_maxim (images[16] , maxabs); mm0_minim (images[16] , minibs);
  mm0_cmul( images [16], -1 ,images [18]);      
  mm0_cadd (images[18], *maxabs ,images[1]);
  /* minima regionaux */
  mm0_csub(images[1],h1,images[33]);
  mm0_num_dil_geod(images[33],images[1],PIX_MIN);
  mm0_reg_min (images[33], images[2]);
  mm0_cmul (images[2], PIX_MAX, images[15]);
  /* mm0_imaout_pgm (images[15], "../images/crabe-min1.pgm");*/
  /* lpe contrainte avec ces minima */
  mm0_cxor (images[2], 1, images[3]); 
  mm0_cmul (images[3], PIX_MAX, images[3]); 
  mm0_min (images[1], images[3], images[4]); 
  mm0_num_ero_geod (images[3], images[4], PIX_MAX);
  mm0_lpe1 (images[3], images[4]);
  mm0_thresh (images[4], images[4], 0, 1);
  mm0_cmul(images[4], PIX_MAX, images[14]);
  /* union des deux types de marqueurs */
  /* attention, ils doivent etre separes */
  mm0_dilate (images[4], images[5], images[19], 1);
  mm0_andnot (images[2], images[5], images[5]);
  mm0_max (images[4], images[5], images[5]);
  mm0_cmul(images[5], PIX_MAX, images[15]);
  /* calcul du gradient selon deriche*/
  /*passage par negatif de l image*/
  mm0_maxim (images[1] , maxabs); mm0_minim (images[1] , minibs);
  mm0_cmul( images [1], -1 ,images [28]);    
  mm0_cadd (images[28], *maxabs ,images[1]);
  alpha=50;
  fsmoothx(images[1],images[27],images[26],alpha);
  fderichey (images[27],images[6],images[26],alpha);
  fsmoothy(images[1],images[24],images[26],alpha);
  fderichex (images[24],images[8],images[26],alpha);
  mm0_mul(images[6],images[6],images[11]);
  mm0_mul(images[8],images[8],images[10]);
  mm0_add(images[11],images[10],images[13]);
  mm0_sqrt(images[13],images[6]);
  /* lpe du gradient contrainte */
  mm0_cxor (images[5], 1, images[7]);
  mm0_cmul (images[7], 255, images[7]);
  mm0_min (images[6], images[7], images[8]);
  mm0_num_ero_geod (images[7], images[8], PIX_MAX);
  mm0_lpe1 (images[7], images[8]);
  mm0_thresh (images[8], images[8], 0, 1); 
  /* LPE resultante */
  mm0_tripnt(images[8],images[10]);mm0_cxor(images[10],1,images[10]);
  mm0_mul (images[10], images[8], images[8]);
  mm0_endpnt(images[8],images[11]); 
  mm0_cmul (images[8], 255, images[9]);
  mm0_num_dil_geod (images[11], images[9], PIX_MIN);
  mm0_sub(images[8],images[11],images[8]);
  mm0_cmul (images[8], 255, out);
  free (maxabs); free (minibs);
  for (i = 1; i<(40); i++) {mm0_set(images[i],0);}
}
/*************Segmentation avec SE=3******************************************/
void seg3(h2,im,out,images)

 IMAGE *im,*out;
 IMAGE **images;
 int h2;

{
  float  alpha;
  int *maxabs, *minibs,i;

 
  /* negatif*/
  maxabs=(int *) malloc (sizeof (int));
  minibs=(int *) malloc (sizeof (int));
  mm0_maxim (im , maxabs); mm0_minim (im , minibs);
  mm0_cmul( im, -1 ,images [18]);  
  mm0_cadd (images[18], *maxabs ,images[0]);  
  /*filtre ponctuel & median */
  fponctuel(images[0],images[34]);    
  fmedian(images[0],images[34]);
  /*Top-Hat Dual1 rec*/
  mm0_erode(images[0],images[17],images[18],3);
  mm0_num_dil_geod(images[17], images[0], PIX_MIN);
  mm0_dilate(images[17],images[16],images[18],3);
  mm0_num_ero_geod(images[16], images[0], PIX_MAX); 
  mm0_sub(images[16], images[0], images[16]); 
                       /*(negatif)*/
  mm0_maxim (images[16] , maxabs); mm0_minim (images[16] , minibs);
  mm0_cmul( images [16], -1 ,images [18]);      
  mm0_cadd (images[18], *maxabs ,images[1]); 
  /* filtre alterne */
  mm0_open  (images[1], images[36], images[19], 1); 
  mm0_close (images[36], images[1], images[19], 1);
  /* minima regionaux */
  mm0_csub(images[1],h2,images[33]);
  mm0_num_dil_geod(images[33],images[1],PIX_MIN);
  mm0_reg_min (images[33], images[2]);
  mm0_cmul (images[2], PIX_MAX, images[15]);
  /* lpe contrainte avec ces minima */
  mm0_cxor (images[2], 1, images[3]); 
  mm0_cmul (images[3], PIX_MAX, images[3]); 
  mm0_min (images[1], images[3], images[4]); 
  mm0_num_ero_geod (images[3], images[4], PIX_MAX);
  mm0_lpe1 (images[3], images[4]);
  mm0_thresh (images[4], images[4], 0, 1);
  mm0_cmul(images[4], PIX_MAX, images[14]);
  /* union des deux types de marqueurs */
  /* attention, ils doivent etre separes */
  mm0_dilate (images[4], images[5], images[19], 1);
  mm0_andnot (images[2], images[5], images[5]);
  mm0_max (images[4], images[5], images[5]);
  mm0_cmul(images[5], PIX_MAX, images[15]);
  /*deriche*/
  /*passage par negatif de l image*/
  mm0_maxim (images[1] , maxabs); mm0_minim (images[1] , minibs);
  mm0_cmul( images [1], -1 ,images [28]);    
  mm0_cadd (images[28], *maxabs ,images[1]);
  alpha=50;
  fsmoothx(images[1],images[27],images[34],alpha);
  fderichey (images[27],images[6],images[34],alpha);
  fsmoothy(images[1],images[24],images[34],alpha);
  fderichex (images[24],images[8],images[34],alpha);
  mm0_mul(images[6],images[6],images[11]);
  mm0_mul(images[8],images[8],images[10]);
  mm0_add(images[11],images[10],images[13]);
  mm0_sqrt(images[13],images[6]);
 /* lpe du gradient contrainte */
  mm0_cxor (images[5], 1, images[7]);
  mm0_cmul (images[7], 255, images[7]);
  mm0_min (images[6], images[7], images[8]);
  mm0_num_ero_geod (images[7], images[8], PIX_MAX);
  mm0_lpe1 (images[7], images[8]);
  mm0_thresh (images[8], images[8], 0, 1);   
  /*sup points triple et boutonniere*/
   mm0_tripnt(images[8],images[10]);mm0_cxor(images[10],1,images[10]);
  mm0_mul (images[10], images[8], images[8]);
  mm0_endpnt(images[8],images[11]); 
  mm0_cmul (images[8], 255, images[9]);
  mm0_num_dil_geod (images[11], images[9], PIX_MIN);
  mm0_sub(images[8],images[11],images[8]);
  /* superposition des resultats */
  mm0_cxor(images[8],1,images[9]);
  mm0_cmul(images[9],PIX_MAX,images[10]);
  truc(images[9],images[11]);
  mm0_num_dil_geod (images[11], images[10], PIX_MIN);
  mm0_mul(images[11],out,out);
  mm0_cmul (images[8], 255, images[8]);
  mm0_max (out, images[8], images[12]); mm0_cmul (images[12], 1, out);

  for (i = 1; i<(40); i++) {mm0_set(images[i],0);}
  free (maxabs); free (minibs);
}

/*************Segmentation avec SE=20******************************************/
void seg20(h3,im,out,aux,images)

 IMAGE *im,*out,*aux;
 IMAGE **images;
 int h3;
 
{
  float  alpha;
  int *maxabs, *minibs,i ;

 
  /* negatif*/;
 
  maxabs=(int *) malloc (sizeof (int));
  minibs=(int *) malloc (sizeof (int));
  mm0_maxim (im , maxabs); mm0_minim (im , minibs);
  mm0_cmul( im, -1 ,images [18]);  
  mm0_cadd (images[18], *maxabs ,images[0]); 
  /*filtre ponctuel & median */
  fponctuel(images[0],images[34]);    
  fmedian(images[0],images[34]);
  /*Top-Hat Dual rec*/
  mm0_erode(images[0],images[17],images[18],20);
  mm0_num_dil_geod(images[17], images[0], PIX_MIN);
  mm0_dilate(images[17],images[16],images[18],20);
  mm0_num_ero_geod(images[16], images[0], PIX_MAX);
  mm0_sub(images[16], images[0], images[16]);
  mm0_maxim (images[16] , maxabs); mm0_minim (images[16] , minibs);
  mm0_cmul( images [16], -1 ,images [18]);      
  mm0_cadd (images[18], *maxabs ,images[1]);  
  /* filtre alterne sequentiel avec reconstruction*/
  mm0_open  (images[1], images[36], images[19], 1); 
  mm0_close (images[36], images[35], images[19], 1);
  mm0_open  (images[35], images[36], images[19], 2); 
  mm0_close (images[36], images[35], images[19], 2);
  mm0_open  (images[35], images[36], images[19], 3); 
  mm0_close (images[36], images[35], images[19], 3);  
  mm0_min (images[1], images[35], images[38]);
  mm0_num_ero_geod (images[35], images[38], PIX_MAX);
  mm0_cmul (images[35], 1, images[1]);
  /* minima regionaux */
  mm0_csub(images[1],h3,images[33]);
  mm0_num_dil_geod(images[33],images[1],PIX_MIN);
  mm0_reg_min (images[33], images[2]);
  mm0_cmul (images[2], PIX_MAX, images[15]);
  /* lpe contrainte avec ces minima */
  mm0_cxor (images[2], 1, images[3]);
  mm0_cmul (images[3], PIX_MAX, images[3]);
  mm0_min (images[1], images[3], images[4]); 
  mm0_num_ero_geod (images[3], images[4], PIX_MAX);
  mm0_lpe1 (images[3], images[4]);
  mm0_thresh (images[4], images[4], 0, 1);
  mm0_cmul(images[4], PIX_MAX, images[14]);
  /* union des deux types de marqueurs */
  /* attention, ils doivent etre separes */
  mm0_dilate (images[4], images[5], images[19], 1);
  mm0_andnot (images[2], images[5], images[5]);
  mm0_max (images[4], images[5], images[5]);
  mm0_cmul(images[5], PIX_MAX, images[15]);
  /* calcul du gradient avec  deriche*/
  alpha=50;
  mm0_maxim (images[1] , maxabs); mm0_minim (images[1] , minibs);
  mm0_cmul( images [1], -1 ,images [28]);    
  mm0_cadd (images[28], *maxabs ,images[1]);
  fsmoothx(images[1],images[27],images[34],alpha);
  fderichey (images[27],images[6],images[34],alpha);
  fsmoothy(images[1],images[24],images[34],alpha);
  fderichex (images[24],images[8],images[34],alpha);
  mm0_mul(images[6],images[6],images[11]);
  mm0_mul(images[8],images[8],images[10]);
  mm0_add(images[11],images[10],images[13]);
  mm0_sqrt(images[13],images[6]);
  /* lpe du gradient contrainte */
  mm0_cxor (images[5], 1, images[7]);
  mm0_cmul (images[7], 255, images[7]);
  mm0_min (images[6], images[7], images[8]);
  mm0_num_ero_geod (images[7], images[8], PIX_MAX); 
  mm0_lpe1 (images[7], images[8]);
  mm0_thresh (images[8], images[8], 0, 1);
  /* superposition des resultats */
  mm0_cxor(images[8],1,images[9]);
  mm0_cmul(images[9],PIX_MAX,images[10]); 
  truc(images[9],images[11]);
  mm0_num_dil_geod (images[11], images[10], PIX_MIN);
  mm0_mul(images[11],out,out);  mm0_cxor(images[11],1,aux);
  mm0_cmul (images[8], 255, images[8]);
  mm0_max (out, images[8], out );
  mm0_cxor(out,255,aux); truc(aux,images[11]); mm0_num_dil_geod (images[11], aux, PIX_MIN);
  mm0_cxor(images[11],1,aux);

  for (i = 1; i<(40); i++) {mm0_set(images[i],0);}
  free (maxabs); free (minibs);

}



/************fonctions calculant les fausses detection en fonction des hauteurs******/

void faussed (int *nbdetec,int *nbeffdetec,int *nbtot,float *fausse,float *non,IMAGE *im1,IMAGE *im2,IMAGE **images)


{


int rab;
float aux1,aux2;


  mm0_cxor(im1,255,images[19]);
  truc(im1,images[11]);
  mm0_num_dil_geod (images[11], images[19], PIX_MIN); 
  mm0_cxor(images[11],1,images[12]);
  mm0_count_objects(images[12],nbdetec);/*nb objet detecte*/
  rab=(*nbtot);
 /*nd objets totales(compte 1 seule fois)*/
  mm0_thresh (im2, images[20], 0,1);
  mm0_cxor(images[20],1,images[23]);
   mm0_dilate(images[23],images[23],images[8],1);
  mm0_count_objects(images[23],nbtot);  
  (*nbtot)=(*nbtot)-rab; 
  mm0_mul(images[12],images[23],images[24]);/*catalogue 0-1 objets effectivement detectes*/ 
  mm0_count_objects(images[24],nbeffdetec);
  *nbeffdetec=(*nbeffdetec)-rab;/*nb objet effectivement detectes*/
  aux1=(*nbdetec)-(*nbeffdetec);
  aux2=(*nbdetec);
  *fausse =aux1/aux2;
  aux1=(*nbtot)-(*nbeffdetec);
  aux2=(*nbtot);
  *non=aux1/aux2;

 
  

}


/**************************Autres fonctions*******************************/
void  miroir (im,out)
IMAGE  *im,*out;
{

int i, j,sx=256,sy=256;
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {out->bitmap[(i) + (j)*out->tx]=im->bitmap[(i) + (256-j)*im->tx];}} 

}
void  transpose (im,out)
IMAGE  *im,*out;
{

int i, j,sx=256,sy=256;
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {out->bitmap[(i) + (j)*out->tx]=im->bitmap[(j) + (i)*im->tx];}} 

}
void  miroirEO (im,out)
IMAGE  *im,*out;
{

int i, j,sx=256,sy=256;
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {out->bitmap[(i) + (j)*out->tx]=im->bitmap[(256-i) + (j)*im->tx];}} 

}
 
void  truc (im,out)
IMAGE  *im,*out;
{

int i, j,sx=256,sy=256;
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {out->bitmap[(i) + (j)*out->tx]=0;}} 
for (j = 2; j <(3); j++) { 
  for (i = 2; i < (3); i++) {out->bitmap[(i) + (j)*out->tx]=1;}}
}


void  fponctuel (im,out)
IMAGE  *im,*out;
{

int y, x; 
int  xi[3][3];
int i, j,l,m,sx=256,sy=256;

for (j = 1; j <(sy-1); j++) {
    for (i = 1; i < (sx-1); i++) {
      out->bitmap[(i) + (j)*out->tx]= im->bitmap[(i) + (j)*im->tx];
      xi[0][0]= im->bitmap[(i-1) + (j-1)*im->tx];
      xi[0][1]= im->bitmap[(i-1) + (j)*im->tx];
      xi[0][2]= im->bitmap[(i-1) + (j+1)*im->tx];
      xi[1][0]= im->bitmap[(i) + (j-1)*im->tx];
      x = im->bitmap[(i) + (j)*im->tx];
      xi[1][2]= im->bitmap[(i) + (j+1)*im->tx];
      xi[2][0]= im->bitmap[(i+1) + (j-1)*im->tx];
      xi[2][1]= im->bitmap[(i+1) + (j)*im->tx];
      xi[2][2]= im->bitmap[(i+1) + (j+1)*im->tx];
 
      /*MAX*/ 
       y=0; 
      for (l = 0 ; l < 3;  l++){  
	for (m = 0 ; m < 3; m++){  
	  if( l!=1 | m!=1){  
	    y = (xi[l][m] > y) ? xi[l][m] : y;}}}
	     if (y<x) {out->bitmap[(i) + (j)*out->tx]=y;}
      /* MIN*/
      y=255; 
      for (l = 0 ; l < 3; l++){ 
	for (m = 0 ; m < 3; m++){ 
	  if ((l!=1) | (m!=1)){ 
	    y = (xi[l][m] < y) ? xi[l][m] : y;}}}
      if (y>x) {out->bitmap[(i) + (j)*out->tx]=y; }
}}
  for (j = 1; j <(sy-1); j++) {
    for (i = 1; i < (sx-1); i++) {
 im->bitmap[(i) + (j)*im->tx]= out->bitmap[(i) + (j)*out->tx];}}
 
} 

void  fmedian (im,out)
IMAGE  *im,*out;
{


int  xi[9];
int i, j,l,m,sx=256,sy=256,temp;


for (j = 1; j <(sy-1); j++) {
    for (i = 1; i < (sx-1); i++) {

      xi[0]= im->bitmap[(i-1) + (j-1)*im->tx];
      xi[1]= im->bitmap[(i-1) + (j)*im->tx];
      xi[2]= im->bitmap[(i-1) + (j+1)*im->tx];
      xi[3]= im->bitmap[(i) + (j-1)*im->tx];
      xi[4]= im->bitmap[(i) + (j)*im->tx];
      xi[5]= im->bitmap[(i) + (j+1)*im->tx];
      xi[6]= im->bitmap[(i+1) + (j-1)*im->tx];
      xi[7]= im->bitmap[(i+1) + (j)*im->tx];
      xi[8]= im->bitmap[(i+1) + (j+1)*im->tx];
      
      for (l=1;l<20;l++) {
	for (m=0; m<=7; m++) {
	  if ( xi[m]> xi[m+1]) { temp=xi[m];xi[m]= xi[m+1];xi[m+1]=temp;}
	}}
      
      out->bitmap[(i) + (j)*out->tx]=xi[4];
      
     
     }
   } 
 for (j = 1; j <(sy-1); j++) {
       for (i = 1; i < (sx-1); i++) {
        im->bitmap[(i) + (j)*im->tx]= out->bitmap[(i) + (j)*out->tx];}}
}


void  fderichex (im,out,aux,alpha)
IMAGE  *im,*out,*aux;
double  alpha;
{
double  xlr[2],ylr[2];
double  b1,b2,c;
int i, j,l,m,sx=256,sy=256;
/**/

b1=-2*exp(-alpha);
b2=exp(-2*alpha);
c=((1-exp(-alpha))*(1-exp(-alpha)));


for (j = 1; j <3   ; j++) {
  for (i = 1; i < (sx); i++) { out->bitmap[(i) + (j)*out->tx]=0;}}
                              
for (j = (sy-2); j <(sy)   ; j++) {
   for (i = 1; i < (sx); i++) { aux->bitmap[(i) + (j)*aux->tx]=0 ; }}

for (i = 1; i < sx; i++) {
   for (j = 3; j <sy;j++) {
     ylr[0]= (out->bitmap[(i) + (j-1)*out->tx]);
     ylr[1]= (out->bitmap[(i) + (j-2)*out->tx]);
     xlr[0]= (im->bitmap[(i) + (j-1)*im->tx]);

     out->bitmap[(i) + (j)*out->tx]= xlr[0]-b1*ylr[0]-b2*ylr[1];}} 


for (i = 1; i < (sx); i++) {
  for (j = (sy-2); j >1; j--) {

     ylr[0]= (aux->bitmap[(i) + (j+1)*aux->tx]);
     ylr[1]= (aux->bitmap[(i) + (j+2)*aux->tx]);
     xlr[0]=(im->bitmap[(i) + (j+1)*im->tx]);

     aux->bitmap[(i) + (j)*aux->tx]= xlr[0]-b1*ylr[0]-b2*ylr[1];}}
      
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {
   out->bitmap[(i) + (j)*out->tx]=c*( out->bitmap[(i) + (j)*out->tx] + aux->bitmap[(i) + (j)*aux->tx]);}}


}
void  fderichey (im,out,aux,alpha)
IMAGE  *im,*out,*aux;
double  alpha;
{
double  xlr[2],ylr[2];
double  b1,b2,c;
int i, j,sx=256,sy=256;
/**/

b1=-2*exp(-alpha);
b2=exp(-2*alpha);
c=((1-exp(-alpha))*(1-exp(-alpha)));

for (i = 1; i <3   ; i++) {
  for (j = 1; j < (sy); j++) { out->bitmap[(i) + (j)*out->tx]=0;
                             }} 
for (i = (sx-2); i <sx   ; i++) {
  for (j = 1; j < (sy); j++) { aux->bitmap[(i) + (j)*aux->tx]=0;}}

for (j = 1; j < sy; j++) {
   for (i = 3; i <sx;i++) {
     ylr[0]= (out->bitmap[(i-1) + (j)*out->tx]);
     ylr[1]= (out->bitmap[(i-2) + (j)*out->tx]);
     xlr[0]= (im->bitmap[(i-1) + (j)*im->tx]);

     out->bitmap[(i) + (j)*out->tx]= xlr[0]-b1*ylr[0]-b2*ylr[1];}} 


for (j = 1; j < (sy); j++) {
  for (i = (sx-2); i >1; i--) {

     ylr[0]= (aux->bitmap[(i+1) + (j)*aux->tx]);
     ylr[1]= (aux->bitmap[(i+2) + (j)*aux->tx]);
     xlr[0]=(im->bitmap[(i+1) + (j)*im->tx]);

     aux->bitmap[(i) + (j)*aux->tx]= xlr[0]-b1*ylr[0]-b2*ylr[1];}}
      
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {
   out->bitmap[(i) + (j)*out->tx]=c*( out->bitmap[(i) + (j)*out->tx] + aux->bitmap[(i) + (j)*aux->tx]);}}


}

void  fsmoothx (im,out,aux,alpha)
IMAGE  *im,*out,*aux;
double  alpha;
{
double  xlr[2],ylr[2] ;
double  b;
int i, j,sx=256,sy=256;
/**/

b=(1-exp(-alpha))*(1-exp(-alpha))/(1+2*alpha*exp(-alpha)-exp(-2*alpha));


for (j = 1; j <3   ; j++) {
  for (i = 1; i < (sx); i++) { out->bitmap[(i) + (j)*out->tx]=im->bitmap[(i) + (j)*im->tx];}}
                              
for (j = (sy-2); j <sy   ; j++) {
   for (i = 1; i < (sx); i++) { aux->bitmap[(i) + (j)*aux->tx]=im->bitmap[(i) + (j)*im->tx]; }}

for (i = 1; i < sx; i++) {
   for (j = 3; j <sy;j++) {
     ylr[0]= (out->bitmap[(i) + (j-1)*out->tx]);
     ylr[1]= (out->bitmap[(i) + (j-2)*out->tx]);
     xlr[0]= (im->bitmap[(i) + (j)*im->tx]);
     xlr[1]= (im->bitmap[(i) + (j-1)*im->tx]);
    
     out->bitmap[(i) + (j)*out->tx]= b*xlr[0]+b*exp(-alpha)*(alpha-1)*xlr[1]+2*exp(-alpha)*ylr[0]-exp(-2*alpha)* ylr[1];}} 



for (i = 1; i < (sx); i++) {
  for (j = (sy-2); j >1; j--) {

     ylr[0]= (aux->bitmap[(i) + (j+1)*aux->tx]);
     ylr[1]= (aux->bitmap[(i) + (j+2)*aux->tx]);
     xlr[0]= (im->bitmap[(i) + (j+1)*im->tx]);
     xlr[1]=(im->bitmap[(i) + (j+2)*im->tx]);

     aux->bitmap[(i) + (j)*aux->tx]=b*exp(-alpha)*(alpha-1)*xlr[0]+b*exp(-2*alpha)*xlr[1]+2*exp(-alpha)*ylr[0]-exp(-2*alpha)* ylr[1];}} 
      
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {
   out->bitmap[(i) + (j)*out->tx]= (out->bitmap[(i) + (j)*out->tx] + aux->bitmap[(i) + (j)*aux->tx]);}}

}




void  fsmoothy (im,out,aux,alpha)
IMAGE  *im,*out,*aux;
double  alpha;
{
double  xlr[2],ylr[2] ;
double  b;
int i, j,sx=256,sy=256;
/**/

b=(1-exp(-alpha))*(1-exp(-alpha))/(1+2*alpha*exp(-alpha)-exp(-2*alpha));

for (i = 1; i <3   ; i++) {
  for (j = 1; j < (sy); j++) { out->bitmap[(i) + (j)*out->tx]=im->bitmap[(i) + (j)*im->tx];}}
                              
for (i = (sx-2); i <sx   ; i++) {
   for (j = 1; j < (sy); j++) { aux->bitmap[(i) + (j)*aux->tx]=im->bitmap[(i) + (j)*im->tx]; }}

for (j = 1; j < sy; j++) {
   for (i = 3; i <sx;i++) {
     ylr[0]= (out->bitmap[(i-1) + (j)*out->tx]);
     ylr[1]= (out->bitmap[(i-2) + (j)*out->tx]);
     xlr[0]= (im->bitmap[(i) + (j)*im->tx]);
     xlr[1]= (im->bitmap[(i-1) + (j)*im->tx]);
    
     out->bitmap[(i) + (j)*out->tx]= b*xlr[0]+b*exp(-alpha)*(alpha-1)*xlr[1]+2*exp(-alpha)*ylr[0]-exp(-2*alpha)* ylr[1];}} 



for (j = 1; j < (sy); j++) {
  for (i = (sx-2); i >1; i--) {

     ylr[0]= (aux->bitmap[(i+1) + (j)*aux->tx]);
     ylr[1]= (aux->bitmap[(i+2) + (j)*aux->tx]);
     xlr[0]= (im->bitmap[(i+1) + (j)*im->tx]);
     xlr[1]=(im->bitmap[(i+2) + (j)*im->tx]);

     aux->bitmap[(i) + (j)*aux->tx]=b*exp(-alpha)*(alpha-1)*xlr[0]+b*exp(-2*alpha)*xlr[1]+2*exp(-alpha)*ylr[0]-exp(-2*alpha)* ylr[1];}} 
      
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {
   out->bitmap[(i) + (j)*out->tx]= (out->bitmap[(i) + (j)*out->tx] + aux->bitmap[(i) + (j)*aux->tx]);}}

}

void  mm0_sqrt (im,out)
IMAGE  *im,*out;
{

int i, j,sx=256,sy=256;
for (j = 1; j <(sy); j++) { 
  for (i = 1; i < (sx); i++) {out->bitmap[(i) + (j)*out->tx]=sqrt((double) abs(im->bitmap[(i) + (j)*im->tx]));}}
}


